// VCSampleDlg.h : header file
//

#if !defined(AFX_VCSAMPLEDLG_H__CC7E354B_C6DC_4E23_A1CF_E2912955C817__INCLUDED_)
#define AFX_VCSAMPLEDLG_H__CC7E354B_C6DC_4E23_A1CF_E2912955C817__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif

/////////////////////////////////////////////////////////////////////////////
// CVCSampleDlg dialog

class CVaxVoIP;

class CVCSampleDlg : public CDialog
{
// Construction
public:
	CVCSampleDlg(CWnd* pParent = NULL);	// standard constructor

	CVaxVoIP* m_pVaxVoIP;


	// Dialog Data
	//{{AFX_DATA(CVCSampleDlg)
	enum { IDD = IDD_VCSAMPLE_DIALOG };
	CComboBox	m_IPComboBox;
	CListBox	m_ReceiveTxtListBox;
	CSliderCtrl	m_MicSlider;
	CSliderCtrl	m_SpkSlider;
	BOOL	m_bBusyStatus;
	BOOL	m_bUnavailableStatus;
	BOOL	m_bSpkMute;
	BOOL	m_bMicMute;
	CString	m_sSendText;
	UINT	m_nRemotePort;
	UINT	m_nListenPort;
	CString	m_sIPTo;
	BOOL	m_bStartRecording;
	CString	m_sWaveFileName;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVCSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVCSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnButtonOnline();
	afx_msg void OnButtonOffline();
	afx_msg void OnCheckUnavailable();
	afx_msg void OnCheckBusy();
	afx_msg void OnCheckMicmute();
	afx_msg void OnCheckSpkmute();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnButtonSendtxt();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonResetWaveBuffer();
	afx_msg void OnButtonSaveWaveFile();
	afx_msg void OnCheckStartRecording();
	afx_msg void OnButtonStartConversation();
	afx_msg void OnButtonEndConversation();
	afx_msg void OnButtonAddConversation();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


#endif
